@ECHO OFF
SET ARMHOME=E:\KEIL521A\ARM
SET PATH=%ARMHOME%\ARMCC\BIN
SET ARMCONF=%ARMHOME%\BIN
SET ARMDLL=%ARMHOME%\BIN
SET ARMINC=%ARMHOME%\ARMCC\INCLUDE
SET ARMLIB=%ARMHOME%\ARMCC\LIB

echo Assembliere Startup
armasm --cpu=Cortex-M3 --thumb --list startup.lst --width 200 startup_STM32F103C8T6.asm
if Errorlevel==1 goto ende

echo Compile Config
armcc  --via compile.xcl  config.c
if Errorlevel==1 goto ende

echo Compile SysTick
armcc  --via compile.xcl  systick.c
if Errorlevel==1 goto ende

echo Compile GIO
armcc  --via compile.xcl  gio.c
if Errorlevel==1 goto ende

echo Compile CMD
armcc  --via compile.xcl  cmd.c
if Errorlevel==1 goto ende

echo Compile Conv
armcc  --via compile.xcl  conv.c
if Errorlevel==1 goto ende

echo Compile Serial
armcc  --via compile.xcl  serial.c
if Errorlevel==1 goto ende

echo Compile USB
armcc  --via compile.xcl  usb.c
if Errorlevel==1 goto ende

echo Compile Events
armcc  --via compile.xcl  events.c
if Errorlevel==1 goto ende

echo Compile Main
armcc  --via compile.xcl  main.c
if Errorlevel==1 goto ende


echo Linke
armlink --via link.xcl
if Errorlevel==1 goto ende

echo Mache Hex
fromelf --output firmware.hex --i32 linked.axf
if Errorlevel==1 goto ende

echo Mache Bin
fromelf --output firmware.bin --bin linked.axf
if Errorlevel==1 goto ende

echo Mache S19
fromelf --output firmware.s19 --m32 linked.axf
if Errorlevel==1 goto ende


echo So, das war's.
pause
goto schluss

:ende
echo ...
echo Hei, da ist was schiefgelaufen!
pause

:schluss

