/* Main  */

#include "StdTypes.h"
#include "startup.h"
#include "STM32F103all.h"
#include "config.h"
#include "systick.h"
#include "conv.h"
#include "serial.h"
#include "usb.h"
#include "gio.h"
#include "cmd.h"
#include "events.h"


int main (void)
{ dword event;
  
  Systemtick_Init();
  UsbSetup();
  Event_Init();

  StdIO = toUART1;
  InitSerial1(57600);
  InitSerial2(9600);

  ErrorStatus(toUART1);
  ErrorStatus(toUART2);
  Errors = 0;

  InitCmd (toUART1);
  InitCmd (toUART2);



immerzu:
  Talk (toUART1);
  Talk (toUART2);
  Talk (toUSB);

  if (Event_avail()) event = Get_Event();
  if (event)
  { switch (event & evGruppenMaske)
    { case idHard:   break;
      case idTast:   break;
      case idMaus:   break;
      case idMenu:   break;
      case idTimer:  break;
      case idOrg:    break;
      case idSensor: break;
      case idError:  break;
      case idApp:    break;
    };

    if (event == idSekundeUm)
    { event = 0;
    }

  event = 0;
  }
  goto immerzu;
}

