/****** Imports vom Startup-File fr STM32F302RBT6  ******/

#ifndef STARTUP_INCLUDED
#define STARTUP_INCLUDED

/************** Dinge, die im Startup-Code vorhanden sind *****/

/* Restart-Grnde in 'Errors' */
#define istKaltstart         0
#define istWarmstart         1
#define istReserved          2
#define istHardFaultErr      4
#define istMemoryManageErr   8
#define istBusFaultErr      16
#define UsageFaultErr       32
#define istWrongSVC         64
#define istDebugMonitor    128     /* hier nur reserviert */
#define istPendSV          256
#define istSysTick         512
#define istNMI            1024
#define istWeakInt        2048

extern  volatile long Ticks;  /* Uhrzeit in 1 ms Schritten */

extern  dword  Errors;
extern  dword  ErrAddr;
extern  char   StartOfRam[];  /* interner RAM */
extern  char   EndOfRam[];    /* interner RAM */

extern char Manifest[];

#endif

/*  ---  */

